org.apache.flume.lifecycle

## Class LifecycleSupervisor.SupervisorPolicy

- java.lang.Object
- - org.apache.flume.lifecycle.LifecycleSupervisor.SupervisorPolicy

- Direct Known Subclasses:
    LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy, LifecycleSupervisor.SupervisorPolicy.OnceOnlyPolicy
  Enclosing class:
    LifecycleSupervisor

      public abstract static class LifecycleSupervisor.SupervisorPolicy
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy`
    `static class` | `LifecycleSupervisor.SupervisorPolicy.OnceOnlyPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleSupervisor.SupervisorPolicy()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleSupervisor.SupervisorPolicy

          public LifecycleSupervisor.SupervisorPolicy()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.